madshi bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000434madVRbugpublic2016-09-18 17:392018-05-26 16:39
Reportere-t172 
Assigned Tomadshi 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionunable to reproduce 
PlatformOSWindows 10 x64OS Version10.0.14393
Summary0000434: Video out of sync with audio in windowed mode
DescriptionWhen playing video in windowed mode (as opposed to exclusive mode), the video lags the audio by 25 to 100 milliseconds. The delay stays constant throughout a single playback session, even if I seek around the file. However, if I restart the player, the delay changes, i.e. it will take another value between around 25 and 100 milliseconds.

This can be very noticeable, especially since the delay is in the wrong direction (video comes after audio), which exacerbates the problem. See ITU-R BT.1359.

Note that this is *NOT* a subjective impression: indeed I have the necessary testing hardware to objectively measure end-to-end actual A/V delay with high accuracy (less than 5 ms), and adequate A/V sync test videos that I have manually verified for accuracy.

Interestingly, if the old path is used (i.e. "present several frames in advance" is unchecked), the problem disappears.
Steps To ReproduceI have tested the following madVR setting combinations in full screen mode, with all other settings reset to their default values. OK means no delay or negligible delay (< 5 ms). NOK means the measured delay was at least 25 ms.

- EVR renderer (for comparison purposes): OK
- madVR All defaults (fullscreen exclusive): OK
- Smooth motion enabled: OK
- Fullscreen exclusive unchecked: NOK
- Fullscreen exclusive unchecked, "present several frames in advance" unchecked (old path): OK
- Fullscreen exclusive unchecked, Direct3D 11: inconclusive (lower delay - 10 to 20 ms - but still measurable)
- Fullscreen exclusive unchecked, use a separate device for presentation: inconclusive (same as above)
Additional InformationDisplay refresh rate: 60Hz
A/V sync test video used: 1920x1080p@23.976 H.264, PCM 48kHz audio, in MKV
TagsNo tags attached.
madVR Version0.90.20
Media Player (with version info)MPC-HC 1.7.10
Splitter (with version info)LAV Filters 0.66.0.0 (MPC-HC built-in)
Decoder (with version info)LAV Filters 0.66.0.0 (MPC-HC built-in)
DecodingSoftware
Deinterlacingnone (progressive)
DXVA2 Scaling Activeno
Aero / Desktop CompositionOn
Problem occurs with modewindowed mode
GPU ManufacturerNVidia
GPU ModelGeforce 780 Ti
GPU Driver Version372.54
Attached Files

- Relationships

-  Notes
(0001467)
e-t172 (reporter)
2016-09-18 18:49
edited on: 2016-09-18 18:51

As suggested by Asmodian in http://forum.doom9.org/showthread.php?p=1780983#post1780983 [^] I have also checked D3D fullscreen overlay. OK was the result.

(0001468)
e-t172 (reporter)
2016-09-18 19:24

After upgrading my GPU drivers to 372.70 and restarting, the issue is still there. Although I do get the impression that the variance is somewhat reduced now - it's more like 20-40 rather than 25-100. However, it's quite possible that the difference is tied to the fact that the system was restarted just before the test, as opposed to the GPU driver change. The tests in the original report were done with a system that had an uptime of about 6 hours. Depending on the exact nature of what's causing the problem inside the Windows graphics stack, maybe it's possible that the variance could increase as the system stays up for longer.
(0002039)
madshi (administrator)
2018-01-14 15:27

Sorry for the extremely late reply.

There's a setting in the NV driver which sets how many frames can be rendered/presented ahead. If this is set to a specific (lowish) number, it can cause issues like this. If it's set to "application controlled", there should be no issue. Can you double check how this settings is setup in your case?

Also, can you experiment with setting different number of prepresented frames in the exclusive mode settings?
(0002068)
e-t172 (reporter)
2018-01-14 18:09

Okay, I'll experiment with this again as soon as I find some time. I wouldn't be surprised if the issue went away on its own by now - it's been more than a year and many GPU driver versions and Windows 10 have passed since then.
(0002070)
madshi (administrator)
2018-01-14 18:15

Great - thanks!
(0002291)
e-t172 (reporter)
2018-05-26 16:30

I did the tests again with:

- Windows 10 1803 (17134.48)
- NVidia drivers 397.93 (latest)
- madVR 0.92.14 (latest)
- LAV filters 0.70.2.1
- MPC-HC 1.7.13

I was unable to reproduce the original issue. The A/V sync is excellent even in windowed mode. I measured a very impressive <10 ms sync difference - significantly less than a single refresh cycle at 60 Hz!

As far as I'm concerned, the problem is gone. I have no idea what fixed it, though.
(0002292)
madshi (administrator)
2018-05-26 16:39

Great - thanks for retesting! :)

- Issue History
Date Modified Username Field Change
2016-09-18 17:39 e-t172 New Issue
2016-09-18 18:49 e-t172 Note Added: 0001467
2016-09-18 18:51 e-t172 Note Edited: 0001467 View Revisions
2016-09-18 19:24 e-t172 Note Added: 0001468
2018-01-14 15:27 madshi Note Added: 0002039
2018-01-14 15:27 madshi Assigned To => madshi
2018-01-14 15:27 madshi Status new => feedback
2018-01-14 18:09 e-t172 Note Added: 0002068
2018-01-14 18:09 e-t172 Status feedback => assigned
2018-01-14 18:15 madshi Note Added: 0002070
2018-01-14 18:15 madshi Status assigned => feedback
2018-05-26 16:30 e-t172 Note Added: 0002291
2018-05-26 16:30 e-t172 Status feedback => assigned
2018-05-26 16:31 e-t172 Status assigned => closed
2018-05-26 16:31 e-t172 Resolution open => unable to reproduce
2018-05-26 16:39 madshi Note Added: 0002292


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker